petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetGetMatrix

Sets the routine used by the DMDA to allocate a matrix.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetGetMatrix(DM da,PetscErrorCode (*f)(DM, Mat*))

Logically Collective on DMDA

### Input Parameters

| da | - the DMDA object
| f | - the function that allocates the matrix for that specific DMDA

### Notes

See DMDASetBlockFills() that provides a simple way to provide the nonzero structure for the diagonal and off-diagonal blocks of the matrix

Not supported from Fortran

### See Also

DMCreateMatrix(), DMDASetBlockFills()

### Level

developer

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages